dnl======================================================================
dnl GDS_CHECK_HDF
dnl Check if soecified package is installed
dnl======================================================================

AC_DEFUN([AC_GDS_CHECK_HDF],
[
AC_MSG_CHECKING([for HDF5])
hdflibs=
hdfcflags=
found_hdf5="no"
AC_ARG_WITH(hdf5, 
	    AS_HELP_STRING([--with-hdf5@<:@=DIR@:>@],[hdf5 installation location @<:@/usr/@:>@
			   ]),
	    [found_hdf5=yes]
	    )
if test x$found_hdf5 = "xyes" -a x$with_hdf5 != "xyes"
then
   if test $with_hdf5 = "no"
   then
      found_hdf5="no"
   else
      hdfinc="$with_hdf5/include"
      for td in include/hdf5 include/hdf5/serial
      do
         test -f $with_hdf5/$td/H5Cpp.h && hdfinc=$with_hdf5/$td
      done
      if test ! -f $hdfinc/H5Cpp.h
      then
         AC_MSG_RESULT([not found])
         AC_MSG_ERROR([HDF5 not found])
      fi
      hdflibs="-L$with_hdf5/lib -lhdf5_cpp -lhdf5"
      hdfcflags="-I$hdfinc -DHAVE_HDF5"
   fi
else
   H5CXX=`which h5c++`
   PKG_CHECK_MODULES(HDF5, hdf5-serial, found_hdf5=yes, found_hdf5=no)
   if test $found_hdf5 = "yes"
   then
      hdflibs="$HDF5_LIBS -lhdf5_cpp"
      hdfcflags="$HDF5_CFLAGS"
   elif test -x $H5CXX
   then
      h5cflags=`$H5CXX -showconfig | grep -e ' CPPFLAGS:' | sed -e s,.*:,,g`
      hdflibs="-lhdf5_cpp -lhdf5"
      hdfcflags="-DHAVE_HDF5 $h5cflags"
   else
      hdfdir="/usr/include"
      for td in /usr/include /usr/include/hdf5 /usr/include/hdf5/serial
      do
         test -f $td/H5Cpp.h && hdfdir=$td
      done
      if test -f $hdfdir/H5Cpp.h
      then
         hdflibs="-lhdf5_cpp -lhdf5"
         hdfcflags="-I$hdfdir -DHAVE_HDF5"
      else
         AC_MSG_RESULT([not found])
         AC_MSG_ERROR([HDF5 not found])
      fi
   fi
   found_hdf5="yes"
fi
AC_MSG_RESULT([$found_hdf5])
if test $found_hdf5 = "yes"
then
  echo "HDF5 found in $hdflibs"
fi
AM_CONDITIONAL([have_hdf5], [test "$found_hdf5" = "yes"])
AC_SUBST(hdfcflags)
AC_SUBST(hdflibs)
])
